Subject: Re: bug#79056: tab-bar-tests-quit-restore-window sometimes fails in *compilation* buffer

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Jul 2025 19:58:50 +0300

>> Automatic tests on EMBA can't be interactive without headless mode.
>> So what remains to do is to manually run interactive tests locally.
>> But IIUC `make -C test tab-bar-tests` is noninteractive.
>> And I don't know what command line could run them interactively,
>> so that tests could pop up X frames, etc.
>
> See test/README:
>
> The tests are run in batch mode by default; sometimes it's useful to
> get precisely the same environment but run in interactive mode for
> debugging.  To do that, use
>
>     make TEST_INTERACTIVE=yes ...
>
> (I haven't used this for years, so I don't know whether it still works)

Thanks for the reference.  I expected something like this should exist,
but didn't remember if it really existed.

Now I tried to run

  make TEST_INTERACTIVE=yes -C test tab-bar-tests

after applying the patch provided by Paul.

And interactive tests are passed successfully,
the output buffer displays:

  Passed:  3
  Failed:  0
  Skipped: 0
  Total:   3/3

Probably this can't be used on EMBA.  So for automatic tests
we could still try to add headless mode by implementing
a set of hooks like described by Eli.